---
updatedAt: 2026-05-13T20:48:29.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Update payment order amount

Update payment order amount.


# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Instant payments - Automatic Pix",
    "description": "API to handle Automatic Pix transactions",
    "termsOfService": "https://developers.pismo.io/terms/",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/",
      "email": "support@pismo.com.br"
    },
    "license": {
      "name": "Copyright Pismo",
      "url": "https://developers.pismo.io/licenses/"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Ext API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Ext API server for testing Automatic Pix."
    }
  ],
  "tags": [
    {
      "name": "Automatic Pix",
      "description": "Automatic Pix endpoints."
    }
  ],
  "components": {
    "parameters": {
      "AccountIdHeader": {
        "name": "x-account",
        "in": "header",
        "schema": {
          "type": "integer"
        },
        "description": "Pismo account ID.",
        "required": true,
        "example": 0
      },
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "EndToEndIDpath": {
        "name": "end_to_end_id",
        "in": "path",
        "description": "Transaction end-to-end ID. This field is a Brazil Central Bank (BCB) requirement to track all Pix transaction steps.",
        "required": true,
        "schema": {
          "type": "string"
        }
      },
      "IdempotencyKeyHeader": {
        "name": "Idempotency-Key",
        "in": "header",
        "description": "A unique ID to ensure the operation remains idempotent, allowing for operation repitition without causing unintended effects or duplication. An idempotent operation is one that can be applied multiple times, yet the outcome remains the same. it ensures that network errors, retries, or failures can occur without introducing inconsistencies.\n",
        "required": true,
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "RecordsWithCategory": {
        "type": "object",
        "properties": {
          "tax_type": {
            "$ref": "#/components/schemas/TaxType"
          },
          "tax_category": {
            "$ref": "#/components/schemas/TaxCategory"
          },
          "amount": {
            "$ref": "#/components/schemas/TaxAmount"
          }
        }
      },
      "TaxAmount": {
        "type": "number",
        "description": "Tax amount. Must be greater than zero.",
        "example": 1050.44
      },
      "TaxCategory": {
        "type": "string",
        "description": "Tax category: \n* `INF` (Conta e Ordem) = Tax information\n* `COR` (Informar no momento da emissão)) = Corrected tax\n",
        "example": "INF",
        "enum": [
          "INF",
          "COR"
        ]
      },
      "TaxIdentifier": {
        "type": "string",
        "description": "Tax identifier, referring to the NF-e, NFS-e or aggregating tax document. \n\nIn Brazil, NF-e and NFS-e are the two primary types of mandatory electronic invoices (Notas Fiscais) used for tax compliance.\n* NF-e (Nota Fiscal Eletrônica): Used for the sale and movement of physical goods or products. It is regulated at the state level by SEFAZ (SEFAZ (Secretaria da Fazenda) is the State Department of Finance in Brazil.) and travels with the goods.\n* NFS-e (Nota Fiscal de Serviços Eletrônica): Used for the provision of services (e.g., consulting, repairs, digital subscriptions). It is regulated by individual city governments.\n\nThe value entered must correspond to the tax document used for calculating the IBS and CBS taxes associated with the transaction.\n",
        "example": "IS0435879820240605bcdb1fhn43a",
        "maxLength": 50
      },
      "TaxType": {
        "type": "string",
        "description": "Tax type:\n* `IBS` = Goods and services tax. A state and municipal tax that unifies and replaces the main subnational consumption taxes (state ICMS and municipal ISS).\n* `CBS` = Contribution on goods and services. A federal tax that consolidates and replaces previous federal social contributions and taxes (PIS, Cofins, and IPI)\n",
        "enum": [
          "CBS",
          "IBS"
        ],
        "example": "IBS"
      },
      "TaxesWithCategory": {
        "description": "Now only available on ext env and just for direct participants. Tax information related to the transaction.",
        "type": "object",
        "properties": {
          "tax_identifier": {
            "$ref": "#/components/schemas/TaxIdentifier"
          },
          "records": {
            "type": "array",
            "description": "Tax records. It is **REQUIRED** to pass a minimum of 2 objects and a maximum of 4 objects, at least one with `CBS` tax type and at least one with `IBS` tax type.\n",
            "items": {
              "$ref": "#/components/schemas/RecordsWithCategory"
            }
          }
        }
      },
      "UpdatePaymentOrderRequest": {
        "type": "object",
        "description": "Update payment order",
        "properties": {
          "amount": {
            "description": "New amount value, can be filled when recurrence has a dynamic amount. Defined by the payee.",
            "example": 101.11,
            "type": "number"
          },
          "taxes": {
            "$ref": "#/components/schemas/TaxesWithCategory"
          }
        }
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad request",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "401Unauthorized": {
        "description": "Unauthorized. Missing or invalid authentication token.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "404NotFound": {
        "description": "Not found",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      },
      "500InternalServer": {
        "description": "Internal Server Error",
        "headers": {
          "x-cid": {
            "description": "Request tracking ID.",
            "schema": {
              "type": "string"
            }
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/customer.Error"
            }
          }
        }
      }
    }
  },
  "paths": {
    "/inst-pull-pay/v1/pix/automatic/payment/order/{end_to_end_id}": {
      "patch": {
        "summary": "Update payment order amount",
        "description": "Update payment order amount.\n",
        "operationId": "update-order-automatic-pix",
        "tags": [
          "Automatic Pix"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/IdempotencyKeyHeader"
          },
          {
            "$ref": "#/components/parameters/AccountIdHeader"
          },
          {
            "$ref": "#/components/parameters/EndToEndIDpath"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdatePaymentOrderRequest"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "No Content"
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServer"
          }
        }
      }
    }
  }
}
```